<?php
// $Id: formselectmatchoption.php,v 1.3 2003/03/19 06:57:54 half-dead Exp $
// ------------------------------------------------------------------------- //
//               E-Xoops: Content Management for the Masses                  //
//                       < http://www.e-xoops.com >                          //
// ------------------------------------------------------------------------- //
// Original Author: Kazumi Ono
// Author Website : http://www.mywebaddons.com/ , http://www.myweb.ne.jp
// License Type   : GPL: See /manual/LICENSES/GPL.txt
// ------------------------------------------------------------------------- //
if (!defined("EXOOPS_XOOPSFORMSELECTMATCHOPTION_INCLUDED")) {
	define("EXOOPS_XOOPSFORMSELECTMATCHOPTION_INCLUDED", 1);
include_once(XOOPS_ROOT_PATH."/class/xoopsform/formselect.php");
class XoopsFormSelectMatchOption extends XoopsFormSelect {
	function XoopsFormSelectMatchOption($caption, $name, $value="", $size=1) {
		$this->XoopsFormSelect($caption, $name, $value, $size, false);
		$this->addOption(XOOPS_MATCH_START, _STARTSWITH);
		$this->addOption(XOOPS_MATCH_END, _ENDSWITH);
		$this->addOption(XOOPS_MATCH_EQUAL, _MATCHES);
		$this->addOption(XOOPS_MATCH_CONTAIN, _CONTAINS);
	}
//---------------------------------------------------------------------------------------//
} // END CLASS
} // END DEFINED
?>
